[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetTextColor

Sets the text color in a device context.

## Declaration

Source position: winapih.inc line 262

`public function TWidgetSet.SetTextColor(`
`DC: HDC;`
`Color: TColorRef`
`):TColorRef; virtual;`

## Arguments

`DC` |  | The Device Context.
`Color` |  | The new text color.

## Function result

The previous color, CLR_INVALID on failure.